Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006460TestLinkAPI - XMLRPCpublic2014-07-29 09:492014-09-27 16:43
Reporterfoxcris 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.11 (2014 Q2 - bug fixing) 
Fixed in Version1.9.12 (2014 Q3) 
Summary0006460: Extend API - XMLRPC Add function "getTestCaseBugs"
DescriptionAs discussed in http://mantis.testlink.org/view.php?id=6444 [^] I created a new Funktion getTestCaseBugs to request the linked bugs for a testcase in a testplan.
I adoopted most of the optional parameters from the function "getLastExecution" thus the user is able to restrict the scope of the request to a specific platform or build. Otherwise all bugs are returned.
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespatch file icon testlink-code_v1.patch [^] (5,992 bytes) 2014-07-29 09:49 [Show Content]
? file icon clientGetTestCaseBugs.php [^] (842 bytes) 2014-08-07 06:59
patch file icon testlink-code_v2.patch [^] (1,029 bytes) 2014-08-07 07:01 [Show Content]

- Relationships
child of 0006457closedfman Availables hot-fixes for 1.9.11 & How To get full fixed package from gitorious 

-  Notes
(0021382)
fman (administrator)
2014-08-05 17:46

reported do not need to monitor his/her own issues to get feedback
(0021384)
fman (administrator)
2014-08-05 18:10

please do not leave useless code inside an implementation
$options->getBugs
(0021385)
fman (administrator)
2014-08-05 18:15

code has been added blind mode => will need refactor on future

please provide clientGetTestCaseBugs.php to allow people to test the method
(0021389)
fman (administrator)
2014-08-06 19:22

https://gitorious.org/testlink-ga/testlink-code/commit/886b1d89e2bfbd297060f15cd2a539faea439bb4 [^]
(0021393)
foxcris (reporter)
2014-08-07 06:59

I have created the requested clientGetTestCaseBugs.php. With it i found some bugs in the current implementation. Attached you can find a patch for these.
(0021409)
fman (administrator)
2014-08-08 20:32

Please do not provide code with WRONG documentation
* Filename $RCSfile: clientGetBuilds.php,v $
 *
 * @version $Revision: 1.3 $
 * @modified $Date: 2009/05/01 20:36:56 $ by $Author: franciscom $
 * @Author: francisco.mancardi@gmail.com
(0021738)
fman (administrator)
2014-09-27 16:43

Release done

- Issue History
Date Modified Username Field Change
2014-07-29 09:49 foxcris New Issue
2014-07-29 09:49 foxcris File Added: testlink-code_v1.patch
2014-08-05 17:46 fman Note Added: 0021382
2014-08-05 18:10 fman Note Added: 0021384
2014-08-05 18:15 fman Note Added: 0021385
2014-08-05 18:16 fman Relationship added child of 0006457
2014-08-05 18:16 fman QA Team - Task Workflow Status => TBD
2014-08-05 18:16 fman Fixed in Version => 1.9.12 (2014 Q3)
2014-08-06 19:22 fman Note Added: 0021389
2014-08-06 19:22 fman Status new => resolved
2014-08-06 19:22 fman Resolution open => fixed
2014-08-06 19:22 fman Assigned To => fman
2014-08-07 06:59 foxcris Note Added: 0021393
2014-08-07 06:59 foxcris Status resolved => assigned
2014-08-07 06:59 foxcris Resolution fixed => reopened
2014-08-07 06:59 foxcris File Added: clientGetTestCaseBugs.php
2014-08-07 07:01 foxcris File Added: testlink-code_v2.patch
2014-08-08 20:32 fman Note Added: 0021409
2014-08-08 20:33 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2014-08-08 20:33 fman Status assigned => resolved
2014-08-08 20:33 fman Resolution reopened => fixed
2014-09-27 16:43 fman Note Added: 0021738
2014-09-27 16:43 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker